function obj = loadDataSets(obj,num)
    
    % check again
    if isequal(obj.expOutName2,0) || ~exist(obj.expOutName2,'file')
        return;
    end
    
    % take filename apart
    [pathstr, name, ext, versn] = fileparts(obj.expOutName2);
    switch ext
        case '.txt'
            xNamesList = {'...','...','...','...'};
            yNamesList = {'...','...','...','...'};
            i=1;
            while (i<5 && obj.seqObj{num}.listData{i}.doUpdate)
                i = i+1;
            end
            if i==5
                warndlg({'All data sets are active!','Unselect at least one.'});
                return;
            end
            try
                fid = fopen(obj.expOutName2, 'r');
                origTime = fgetl(fid);
                xName    = fgetl(fid);
                yName    = fgetl(fid);
                dummy    = fgetl(fid);                
                C = cell2mat( textscan(fid,'%f %f %f %f') );
                fclose(fid);
                obj.seqObj{num}.listData{i}.xName = xName(2:end);
                obj.seqObj{num}.listData{i}.yName = yName(2:end);
                obj.seqObj{num}.listData{i}.rawData = C;
                xNamesList{i} = xName(2:end);
                yNamesList{i} = yName(2:end);
            catch
                warndlg('Textfile does not contain correct format.');
                return;
            end
            obj.seqObj{num}.listData{i} = obj.seqObj{num}.listData{i}.reselectData;
            gui_sequence('udateGUIDataFirst', obj.seqObj{num}.hGUI,xNamesList,yNamesList,i);
        case '.mat'
            handles = obj.seqObj{num}.hGUI;
            load(obj.expOutName2,'seqObj');
            if isempty(seqObj)
                disp('empty file');
                return;
            end
            obj.seqObj{num} = seqObj;
            xNamesList = {  obj.seqObj{num}.listData{1}.xName, obj.seqObj{num}.listData{2}.xName, obj.seqObj{num}.listData{3}.xName, obj.seqObj{num}.listData{4}.xName};
            yNamesList = {  obj.seqObj{num}.listData{1}.yName, obj.seqObj{num}.listData{2}.yName, obj.seqObj{num}.listData{3}.yName, obj.seqObj{num}.listData{4}.yName};     
            for i=1:4
                 obj.seqObj{num}.listData{i} =  obj.seqObj{num}.listData{i}.reselectData;
                 obj.seqObj{num}.listData{i}.markerString = {'o','s','<','v',};
                 obj.seqObj{num}.listData{i}.doUpdate = true;
            end
            obj.seqObj{num}.numSeq = num;
            obj.seqObj{num}.hGUI   = handles;
            gui_sequence('udateGUIDataFirst', obj.seqObj{num}.hGUI,xNamesList,yNamesList,1:4);
            gui_sequence('updateGUIFitsFirst', obj.seqObj{num}.hGUI,1:4);
        otherwise
            return;
    end
end