function obj = addDataParameter(obj,controlParameters,calcParameters)
%ADDDATAParameter
% add a point to dataclass from taken from
% parameter object

    % get values and globalcount
	xvalue      = controlParameters.getValue(obj.xName);
    globalcount = controlParameters.getValue('GlobalCount');    
  	yvalue      = calcParameters.getValue(obj.yName);

    % check if the value was found
    if isempty(globalcount) || isempty(xvalue) || isempty(yvalue)
        disp(['Could not find value ',obj.xName,' or ',obj.yName,'.']);
        return;
    end
    
    obj = obj.addDataPoint(globalcount,xvalue,yvalue);
end

