global controlParameters;
global calcParameters;
global sequenceObj;
global fListClass;


% add paths
if ~isdeployed
    addpath './GUI';
    addpath './fitClasses/';
    savedpath = '.\saved\';
    warning off MATLAB:declareGlobalBeforeUse
else
    savedpath = 'E:\MatlabProgramme\analysis\SequenceClasses\saved\';
end

controlParameters = paramClass;
calcParameters    = paramClass;
fListClass = fitListClasses;

for i=1:1
    controlParameters = paramClass;
    calcParameters    = paramClass;
    controlParameters = controlParameters.addParameter('T1','GlobalCount','double',i,num2str(i));
    calcParameters    = calcParameters.addParameter('T2','YY1','double',sqrt(5^2+4*i^2),num2str(2*i));    
    calcParameters    = calcParameters.addParameter('T2','YY2','double',20-2*i,num2str(2*i));        
end

%initSequence;
%gui_seq_main('updateParameters',0,0,0);
seqObj1 = sequenceClass;

hSeq1 = gui_sequence(seqObj1);
seqObj1.hGUI = hSeq1;
%gui_sequence1('updateParameters',controlParameters,calcParameters);

seqObj1 = seqObj1.updateParameters(0,controlParameters,calcParameters);
