function fListClass = fitListClasses

fListClass.names{1}  = 'Linear';
fListClass.fClass{1} = @fitLinear;

fListClass.names{2}  = 'Quadratic';
fListClass.fClass{2} = @fitQuad;

fListClass.names{3}  = 'Temperature';
fListClass.fClass{3} = @fitTemp;

fListClass.names{4}  = '-------------------------';
fListClass.fClass{4} = 0;

fListClass.names{5}  = 'SimpleSine';
fListClass.fClass{5} = @fitSine;

fListClass.names{6}  = 'DampedSine';
fListClass.fClass{6} = @fitSineExp;

fListClass.names{7}  = 'DampedSineLinOffs';
fListClass.fClass{7} = @fitSineExpLinOffs;

fListClass.names{8}  = '-------------------------';
fListClass.fClass{8} = 0;

fListClass.names{9}  = 'Exponential';
fListClass.fClass{9} = @fitExp;

fListClass.names{10}  = 'Exponential+Offs';
fListClass.fClass{10} = @fitExpOffs;

fListClass.names{11}   = 'Gauss';
fListClass.fClass{11}  = @fitGauss;

fListClass.names{12}  = '------------------------';
fListClass.fClass{12} = 0;

fListClass.names{13}  = 'Nearest Spline';
fListClass.fClass{13} = @fitSplineNearest;

fListClass.names{14}  = 'Linear Spline';
fListClass.fClass{14} = @fitSplineLinear;

fListClass.names{15}  = 'Cubic Spline';
fListClass.fClass{15} = @fitSpline;

fListClass.names{16}  = 'Three body fit';
fListClass.fClass{16} = @fitThreeBody;


% fListClass.names{16}  = 'SawTooth';
% fListClass.fClass{16} = @fitSawtooth;
% 
% fListClass.names{17}  = 'SawToothDamped';
% fListClass.fClass{17} = @fitSawtoothDamped;


end
